Skip to main content
POST
Upload Employee Document

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Path Parameters

id
string
required

Body

application/json
name
string | null

The filename of the file to upload

Example:

"weather-forecast"

file_format
object | null

The file format of the file

content
string | null

The base64 encoded content of the file to upload

Example:

"VGhpcyBpc24ndCByZWFsbHkgYSBzYW1wbGUgZmlsZSwgYnV0IG5vIG9uZSB3aWxsIGV2ZXIga25vdyE"

category_id
string | null

The categoryId of the documents

Example:

"6530"

path
string | null

The path for the file to be uploaded to

Example:

"/path/to/file"

confidential
object | null

The confidentiality level of the file to be uploaded

category
object | null

The category to be associated with the file to be uploaded. Id will take precedence over name.

Response

The document related to the employee with the given identifier was uploaded.

statusCode
number | null
Example:

201

message
string | null
Example:

"Employee created successfully"

timestamp
string<date-time> | null
Example:

"2021-01-01T01:01:01.000Z"

provider_errors
object[] | null
Example:
unified_warnings
object[] | null
Example: